AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - e -

- e_mbd : macroblock
- enable_1to4_partitions : PartitionCfg
- enable_ab_partitions : PartitionCfg
- enable_angle_delta : IntraModeCfg
- enable_cfl_intra : IntraModeCfg
- enable_diagonal_intra : IntraModeCfg
- enable_diff_wtd_comp : CompoundTypeCfg
- enable_directional_intra : IntraModeCfg
- enable_dist_wtd_comp : CompoundTypeCfg
- enable_filter_intra : IntraModeCfg
- enable_flip_idtx : TxfmSizeTypeCfg
- enable_interinter_wedge : CompoundTypeCfg
- enable_interintra_wedge : CompoundTypeCfg
- enable_intra_edge_filter : IntraModeCfg
- enable_intrabc : KeyFrameCfg
- enable_keyframe_filtering : KeyFrameCfg
- enable_masked_comp : CompoundTypeCfg
- enable_nn_prune_intra_tx_depths : TxfmSearchParams
- enable_overlay : AlgoCfg
- enable_paeth_intra : IntraModeCfg
- enable_rect_partitions : PartitionCfg
- enable_rect_tx : TxfmSizeTypeCfg
- enable_sframe : KeyFrameCfg
- enable_smooth_interintra : CompoundTypeCfg
- enable_smooth_intra : IntraModeCfg
- enable_superres : SuperResCfg
- enable_tpl_model : AlgoCfg
- enable_tx64 : TxfmSizeTypeCfg
- enable_tx_size_search : TxfmSizeTypeCfg
- enc_quant_dequant_params : AV1_COMP
- enc_row_mt : MultiThreadInfo
- enc_seg : AV1_COMP
- encoder_cfg : aom_codec_enc_cfg
- entropy : CommonContexts
- entropy_ctx : CB_COEFF_BUFFER, CoeffBufferPool
- eob_cost : LV_MAP_EOB_COST
- eob_costs : CoeffCosts
- eob_data : DecoderCodingBlock
- eob_extra_cost : LV_MAP_COEFF_COST
- eobs : CB_COEFF_BUFFER, CoeffBufferPool, macroblock_plane
- ep : SgrprojInfo
- err : aom_codec_ctx
- err_detail : aom_codec_ctx
- error : AV1_PRIMARY, AV1Common
- error_info : macroblockd
- error_resilient_mode : EncodeFrameParams, FeatureFlags
- errorperbit : macroblock
- est_rd_arr : inter_modes_info
- existing_fb_idx_to_show : AV1_COMP
- ext_flags : AV1_COMP
- ext_part_controller : AV1_COMP
- ext_rate_distribution : AV1_COMP
- ext_rate_scale : AV1_COMP
- extra_size : aom_tile_data